function [ y ] = Partition( x, Num_bins)
%Divides the given series x into 'Num_bins' number of bins
%
%
%
% Aditi Kathpalia, Nithin Nagaraj, NIAS, October 2017

if min(x)==max(x)
    y=x;
else
    x1=x-min(x);
    x1=x1./(max(x)-min(x));
    
    y= ceil(x1.*Num_bins);
end

y(find(y==0))=1;


end

